org.codehaus.groovy.ast.tools

## Class ClassNodeUtils

- java.lang.Object
- - org.codehaus.groovy.ast.tools.ClassNodeUtils

- Deprecated.

      @Deprecated
      public class ClassNodeUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassNodeUtils()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addDeclaredMethodMapsFromSuperInterfaces(ClassNode cNode, Map<String,MethodNode> methodsMap)` Deprecated.
    `static void` | `addInterfaceMethods(ClassNode cNode, Map<String,MethodNode> methodsMap)` Deprecated.
    `static Map<String,MethodNode>` | `getDeclaredMethodMapsFromInterfaces(ClassNode cNode)` Deprecated.
    `static String` | `getPropNameForAccessor(String accessorName)` Deprecated.
    `static PropertyNode` | `getStaticProperty(ClassNode cNode, String propName)` Deprecated.
    `static boolean` | `hasPossibleStaticMethod(ClassNode cNode, String name, Expression arguments, boolean trySpread)` Deprecated.
    `static boolean` | `hasPossibleStaticProperty(ClassNode cNode, String methodName)` Deprecated.
    `static boolean` | `hasStaticProperty(ClassNode cNode, String propName)` Deprecated.
    `static boolean` | `isInnerClass(ClassNode cNode)` Deprecated.
    `static boolean` | `isValidAccessorName(String accessorName)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassNodeUtils

          public ClassNodeUtils()

      Deprecated.

  - ### Method Detail

    - #### addInterfaceMethods

          @Deprecated
          public static void addInterfaceMethods(ClassNode cNode,
                                                              Map<String,MethodNode> methodsMap)

      Deprecated.

    - #### getDeclaredMethodMapsFromInterfaces

          @Deprecated
          public static Map<String,MethodNode> getDeclaredMethodMapsFromInterfaces(ClassNode cNode)

      Deprecated.

    - #### addDeclaredMethodMapsFromSuperInterfaces

          @Deprecated
          public static void addDeclaredMethodMapsFromSuperInterfaces(ClassNode cNode,
                                                                                   Map<String,MethodNode> methodsMap)

      Deprecated.

    - #### hasPossibleStaticMethod

          @Deprecated
          public static boolean hasPossibleStaticMethod(ClassNode cNode,
                                                                     String name,
                                                                     Expression arguments,
                                                                     boolean trySpread)

      Deprecated.

    - #### hasPossibleStaticProperty

          @Deprecated
          public static boolean hasPossibleStaticProperty(ClassNode cNode,
                                                                       String methodName)

      Deprecated.

    - #### getPropNameForAccessor

          @Deprecated
          public static String getPropNameForAccessor(String accessorName)

      Deprecated.

    - #### isValidAccessorName

          @Deprecated
          public static boolean isValidAccessorName(String accessorName)

      Deprecated.

    - #### hasStaticProperty

          @Deprecated
          public static boolean hasStaticProperty(ClassNode cNode,
                                                               String propName)

      Deprecated.

    - #### getStaticProperty

          @Deprecated
          public static PropertyNode getStaticProperty(ClassNode cNode,
                                                                    String propName)

      Deprecated.

    - #### isInnerClass

          @Deprecated
          public static boolean isInnerClass(ClassNode cNode)

      Deprecated.